> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit Job

> Create a job to generate the TXT file required to prepare your TDS return

<Note>
  This endpoint is part of a job-based async workflow. See the [job-based API workflow guide](/guides/developer-resources/job_based_apis#job-based-api-workflow) for job creation, payload upload, and status polling.
</Note>


## OpenAPI

````yaml api-reference/tds/reports/openapi.json POST /tds/reports/txt
openapi: 3.1.0
info:
  title: reports
  version: 1.0.0
  description: ''
servers:
  - url: https://test-api.sandbox.co.in
  - url: https://api.sandbox.co.in
security: []
paths:
  /tds/reports/txt:
    post:
      tags:
        - TDS
      summary: Create TDS Reports Job
      parameters:
        - name: authorization
          in: header
          required: true
          description: JWT access token
          deprecated: false
          schema:
            type: string
        - name: x-api-key
          in: header
          required: true
          description: API key for identification
          deprecated: false
          schema:
            type: string
        - name: x-api-version
          in: header
          required: false
          deprecated: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                '@entity':
                  type: string
                  enum:
                    - in.co.sandbox.tds.reports.request
                financial_year:
                  description: >-
                    Financial Year for which TDS is being filed. (eg. FY
                    2024-25)
                  example: FY 2024-25
                  type: string
                form:
                  description: TDS return form
                  type: string
                  enum:
                    - 24Q
                    - 26Q
                    - 27Q
                quarter:
                  description: Quarter for which TDS is being filed
                  type: string
                  enum:
                    - Q1
                    - Q2
                    - Q3
                    - Q4
                tan:
                  description: >-
                    TAN of deductor. Regular Expression:
                    [A-Z]{4}[0-9]{5}[A-Z]{1}
                  example: AHMA09719B
                  type: string
                  pattern: '[A-Z]{4}[0-9]{5}[A-Z]{1}'
                previous_receipt_number:
                  description: Receipt Number of previously filed TDS Return
                  example: '123456789123456'
                  type: string
              required:
                - '@entity'
                - financial_year
                - form
                - quarter
                - tan
            examples:
              200 - Success:
                summary: 200 - Success
                value:
                  '@entity': in.co.sandbox.tds.reports.request
                  financial_year: FY 2023-24
                  quarter: Q3
                  form: 26Q
                  previous_receipt_number: '123456789012345'
                  tan: AHMA09719B
              200 Form 27Q Job created:
                summary: 200 Form 27Q Job created
                value:
                  '@entity': in.co.sandbox.tds.reports.request
                  financial_year: FY 2023-24
                  quarter: Q3
                  form: 27Q
                  previous_receipt_number: '123456789012345'
                  tan: AHMA09719B
              200 Form 24Q-Q3 Job created:
                summary: 200 Form 24Q-Q3 Job created
                value:
                  '@entity': in.co.sandbox.tds.reports.request
                  financial_year: FY 2023-24
                  quarter: Q3
                  form: 24Q
                  previous_receipt_number: '123456789012345'
                  tan: AHMA09719B
              200 Form 24Q-Q4 Job created:
                summary: 200 Form 24Q-Q4 Job created
                value:
                  '@entity': in.co.sandbox.tds.reports.request
                  financial_year: FY 2023-24
                  quarter: Q4
                  form: 24Q
                  previous_receipt_number: '123456789012345'
                  tan: AHMA09719B
              200 Submitted Job will fail:
                summary: 200 Submitted Job will fail
                value:
                  '@entity': in.co.sandbox.tds.reports.request
                  financial_year: FY 2023-24
                  quarter: Q4
                  form: 26Q
                  previous_receipt_number: '123456789012345'
                  tan: BLRC23456F
              422 Invalid Form:
                summary: 422 Invalid Form
                value:
                  '@entity': in.co.sandbox.tds.reports.request
                  financial_year: FY 2022-23
                  quarter: Q4
                  previous_receipt_number: '575829600070771'
                  tan: AHMA09719B
                  form: 22Q
              422 Invalid Financial Year:
                summary: 422 Invalid Financial Year
                value:
                  '@entity': in.co.sandbox.tds.reports.request
                  financial_year: FY 2022-2
                  quarter: Q1
                  previous_receipt_number: '575829600070771'
                  tan: AHMA09719B
                  form: 24Q
              422 Invalid Quarter:
                summary: 422 Invalid Quarter
                value:
                  '@entity': in.co.sandbox.tds.reports.request
                  financial_year: FY 2022-23
                  quarter: Q9
                  previous_receipt_number: '575829600070771'
                  tan: AHMA09719B
                  form: 24Q
      responses:
        '200':
          description: 200 - OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  timestamp:
                    type: integer
                  transaction_id:
                    type: string
                  data:
                    type: object
                    properties:
                      '@entity':
                        type: string
                        enum:
                          - in.co.sandbox.tds.reports.job
                      job_id:
                        type: string
                      tan:
                        type: string
                      quarter:
                        type: string
                      form:
                        type: string
                      financial_year:
                        type: string
                      previous_receipt_number:
                        type: string
                      status:
                        type: string
                      created_at:
                        type: integer
                      json_url:
                        type: string
                        format: uri
              examples:
                200 - Success:
                  summary: 200 - Success
                  value:
                    code: 200
                    timestamp: 1708926739000
                    transaction_id: c01f847c-c42e-4577-9d01-a7208401a922
                    data:
                      '@entity': in.co.sandbox.tds.reports.job
                      job_id: c01f847c-c42e-4577-9d01-a7208401a922
                      tan: AHMA09719B
                      quarter: Q3
                      form: 26Q
                      financial_year: FY 2023-24
                      previous_receipt_number: '123456789012345'
                      status: created
                      created_at: 1708926739000
                      json_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/upload/file
                200 Form 27Q Job created:
                  summary: 200 Form 27Q Job created
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: 46d96540-e4e0-4188-81f5-959f4732490f
                    data:
                      '@entity': in.co.sandbox.tds.reports.job
                      job_id: 46d96540-e4e0-4188-81f5-959f4732490f
                      tan: AHMA09719B
                      quarter: Q4
                      form: 27Q
                      financial_year: FY 2023-24
                      previous_receipt_number: '123456789012345'
                      status: created
                      created_at: 1763362637000
                      json_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/upload/file
                200 Form 24Q-Q3 Job created:
                  summary: 200 Form 24Q-Q3 Job created
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: 24043690-b905-491e-9dc3-950995532e2f
                    data:
                      '@entity': in.co.sandbox.tds.reports.job
                      job_id: 24043690-b905-491e-9dc3-950995532e2f
                      tan: AHMA09719B
                      quarter: Q3
                      form: 24Q
                      financial_year: FY 2023-24
                      previous_receipt_number: '123456789012345'
                      status: created
                      created_at: 1763362637000
                      json_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/upload/file
                200 Form 24Q-Q4 Job created:
                  summary: 200 Form 24Q-Q4 Job created
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: c8c2b692-9742-4842-b72e-3441f07be0a0
                    data:
                      '@entity': in.co.sandbox.tds.reports.job
                      job_id: c8c2b692-9742-4842-b72e-3441f07be0a0
                      tan: AHMA09719B
                      quarter: Q4
                      form: 24Q
                      financial_year: FY 2023-24
                      previous_receipt_number: '123456789012345'
                      status: created
                      created_at: 1763362637000
                      json_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/upload/file
                200 Submitted Job will fail:
                  summary: 200 Submitted Job will fail
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: 77a45361-9646-4ee0-93ed-9471bb8a615e
                    data:
                      '@entity': in.co.sandbox.tds.reports.job
                      job_id: 77a45361-9646-4ee0-93ed-9471bb8a615e
                      tan: BLRC23456F
                      quarter: Q4
                      form: 26Q
                      financial_year: FY 2023-24
                      previous_receipt_number: '123456789012345'
                      status: created
                      created_at: 1763362637000
                      json_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/upload/file
        '422':
          description: 422 - Unprocessable Entity
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  timestamp:
                    type: integer
                  transaction_id:
                    type: string
                  message:
                    type: string
              examples:
                422 - Unprocessable Entity:
                  summary: 422 - Unprocessable Entity
                  value:
                    code: 422
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    message: Invalid TAN pattern
                422 Invalid Form:
                  summary: 422 Invalid Form
                  value:
                    code: 422
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    message: 'Invalid form type: 22Q'
                422 Invalid Financial Year:
                  summary: 422 Invalid Financial Year
                  value:
                    code: 422
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    message: 'Invalid financial year: FY 2022-2'
                422 Invalid Quarter:
                  summary: 422 Invalid Quarter
                  value:
                    code: 422
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    message: 'Invalid quarter: Q9'

````